<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@48E0=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@4F8C=01|(maincpu.pb@4F8C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@4894=00|(maincpu.pb@4894 BAND ~30)</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x02">Little Shot</item>
      <item value="0x08">3 Shot</item>
      <item value="0x10">Big Shot</item>
      <item value="0x04">Small Shield</item>
      <item value="0x05">Big Shield</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@5800=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@48EE=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@4F8C=02|(maincpu.pb@4F8C BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@4895=00|(maincpu.pb@4895 BAND ~30)</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x02">Little Shot</item>
      <item value="0x08">3 Shot</item>
      <item value="0x10">Big Shot</item>
      <item value="0x04">Small Shield</item>
      <item value="0x05">Big Shield</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@5801=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL2 Start]Next Code</comment>
    <script state="run">
      <action>maincpu.pb@486C=FF</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="207" step="1"/>
    <script state="change">
      <action>maincpu.pb@5D00=param</action>
      <action>maincpu.pw@487E=5D01</action>
      <action>maincpu.pw@4880=5D00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
